Subject: Re: [PATCH] Disable TSO for non standard qdiscs

From: Andi Kleen <[email-masked]>
Date: Sat, 2 Feb 2008 06:20:08 +0100

> Turning TSO off at netdev registration time with a warning will be a
> cleaner IMO. Or alternatively introducing a kernel-config "I know what

You mean the qdisc should force TSO off on the underlying device? 

> TSO is" option which is then used at netdev registration. From a
> usability perspective it would make more sense to just keep ethtool as
> the only way to configure TSO. 

Ok, reasonable point.

-Andi